[Piuparts-commits] [SCM] piuparts git repository branch, develop, updated. 0.49-4-ga841c37

Andreas Beckmann debian at abeckmann.de
Sun Jan 20 12:55:39 UTC 2013


The following commit has been merged in the develop branch:
commit de5519619d3ce1c5b322d66307e143cfb68d3ff0
Author: Andreas Beckmann <debian at abeckmann.de>
Date:   Sat Jan 19 16:49:51 2013 +0100

    post_distupgrade_exceptions: handle libdb4.8
    
    libdb4.8/squeeze is part of the minimal squeeze chroot and
    remains installed after distupgrade even if it no longer
    exists in wheezy
    db4.8-util/wheezy Conflicts/Replaces libdb4.8, so ensure it
    gets removed from the reference chroot, too
    
    Signed-off-by: Andreas Beckmann <debian at abeckmann.de>

diff --git a/custom-scripts/scripts/post_distupgrade_exceptions b/custom-scripts/scripts/post_distupgrade_exceptions
new file mode 100755
index 0000000..a5af087
--- /dev/null
+++ b/custom-scripts/scripts/post_distupgrade_exceptions
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+log_debug() {
+	echo "Debug: piuparts exception for package $PIUPARTS_OBJECTS"
+}
+
+if [ "$PIUPARTS_DISTRIBUTION" = "wheezy" ]; then
+
+	# libdb4.8/squeeze is part of the minimal squeeze chroot and
+	# remains installed after distupgrade even if it no longer
+	# exists in wheezy
+	# db4.8-util/wheezy Conflicts/Replaces libdb4.8, so ensure it
+	# gets removed from the reference chroot, too
+	case ${PIUPARTS_OBJECTS%%=*} in
+		db4.8-util|cyrus-*-2.2|libcyrus-imap-perl22|sa-learn-cyrus)
+			log_debug
+			dpkg --purge libdb4.8
+			;;
+	esac
+
+fi
diff --git a/debian/changelog b/debian/changelog
index b6f4dd5..78cb41b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,7 @@ piuparts (0.50) UNRELEASED; urgency=low
   * piuparts-slave.py:
   * piuparts-analyze.py:
   * piuparts-report.py:
+  * post_distupgrade_exceptions: Handle libdb4.8 removal in wheezy.
 
  -- Andreas Beckmann <debian at abeckmann.de>  Tue, 15 Jan 2013 11:51:43 +0100
 

-- 
piuparts git repository



More information about the Piuparts-commits mailing list